function [] = runDemo(corStrArr, cntArr44, speedDiv)
    
    movi = 'vidInp/oSmall.mov'; % 120:80
    
    figure(1);
    ax = axis;
    
    startSample  = ax(1) +1;
    endSample = ax(2);
    
    figure(4);clf;
    set(gcf,'Position',[100 100 1280 720],'numberTitle','off');
    fprintf(1, "\n");
    
    fs = 44100;
    
    frameRate = 30;
    vidObj = VideoReader(movi); % IN
    fs2 = 44100/speedDiv;
    
    
    
    % Gulv - sjakkmønster
    [F, V] = polyQuadFloor(11, 11);
    cV = 0.2*ones(11*11, 3);
    for i = 1 : 2 : 11*11
        cV(i, :) = [0.9 0.9 0.9];
    end
    plotPoly(F, 10*V, 'dark', 'col', cV);
    
    % Soyle
    load 'grafikk/soyle.mat';
    plotPoly(F, 4*V+[-11/2 0 0], 'dark', 'col', [0.2 0.2 1], 'edgeOff');
    plotPoly(F, 4*V+[11/2 0 0], 'dark', 'col', [0.2 0.2  1], 'edgeOff');
    
    % Agent
    [F, V] = agent1(0, 0, 'demo'); V1 = 4*V+[-11/2 0 4]; V2 = 4*V+[11/2 0 4];
    ha1 = plotPoly(F, V1, 'dark', 'col', [1 0.2 .2], 'edgeOff');
    ha2 = plotPoly(F, V2, 'dark', 'col', [1 0.2 .2], 'edgeOff');
    
    % Lerret
    [F, V] = polyQuadFloor(120, 80); V = 6*(rotx(90)*V')' + [0 10 5];
    hl = plotPoly(F, V, 'col', rand(120*80, 3), 'dark', 'edgeOff');
    
    view(20,12);
    axis([-9.0549    1.3779    8.9569   19.3896    2.8030    4.9065]);
    
    ccOld = 0;
    for s = startSample : floor(fs/frameRate) : endSample % manuell intastn evt s = cl2sa(corStrArr, 64) : floor(fs/frameRate) : cl2sa(corStrArr, 75) % manuell intastn
        ccc = findNermestClick(s, corStrArr);
        
        if ccc > ccOld
            for ii = 1 : length(num2str(ccOld))
                fprintf(1, "\b");
            end
            set(gcf,'name',num2str(ccc));
            %fprintf(1, "%d", ccc);
            
            ccOld = ccc;
        end
        
        
        % Agent
        [~, V] = agent1(cntArr44(s, 1), cntArr44(s, 2), 'demo'); V1 = 4*V+[-11/2 0 4]; V2 = 4*V+[11/2 0 4];
        set(ha1, 'Vertices', V1);
        set(ha2, 'Vertices', V2);
        
        % Video in
        vidObj.CurrentTime = s/fs;
        frame = readFrame(vidObj); frame = flipud(frame); frame = permute(frame,[2 1 3]);
        co1 = double(squeeze(reshape(frame,[], 80*120,3))); co1 = co1/max(max(co1));
        set(hl, 'FaceVertexCData', co1);
        pause(0.2);
        drawnow;
    end
    
    fprintf(1, "\n");
    close(4);
    figure(1);
end